import React, { useState } from 'react';
import { render, fireEvent, act } from '@testing-library/react-native';
import { InitialsAvatar } from '.';
import 'jest-styled-components';

it('snapshot - padrão', () => {
   const { toJSON } = render(
      <>
         <InitialsAvatar name="John" />
      </>,
   );
   expect(toJSON).toMatchSnapshot();
});

it('snapshot - vários tamanhos', () => {
   const { toJSON } = render(
      <>
         <InitialsAvatar name="Notorious Chase" size="xs" />
         <InitialsAvatar name="Made Heaven" size="s" />
         <InitialsAvatar name="Star Platinum" size="m" />
         <InitialsAvatar name="Crazy Diamond" size="l" />
         <InitialsAvatar name="King crimson" size="xl" />
      </>,
   );

   expect(toJSON).toMatchSnapshot();
});

it('snapshot - tamanho customizado', () => {
   const { toJSON } = render(
      <>
         <InitialsAvatar name="veronica" sizeCircle={52} />
      </>,
   );

   expect(toJSON).toMatchSnapshot();
});
